メインコンテンツへスキップ
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
records
指定されたカタログにレコードを追加します。
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/*+json' \
  --data '
[
  {
    "fields": {},
    "id": "<string>"
  }
]
'
{
  "errorRows": {},
  "insertedRowCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

catalogId
string
必須

カタログ識別子。すべてのカタログの一覧で確認できます。

ボディ

追加するレコード

Required array length: 1 - 5000 elements
fields
object
必須

レコードのfield

id
string
必須

レコードの一意のID

Minimum string length: 1

レスポンス

操作は正常に完了しました。詳細はレスポンスを参照してください。

errorRows
object
必須

発生したエラー一覧

insertedRowCount
integer<int32>
必須

正常に挿入された行数